Subject: [PATCH v3 1/3] clk: s2mps11: Add support for S2MPS14 clocks

From: [email-masked] (Mike Turquette)
Date: Thu, 20 Mar 2014 09:33:35 -0700

Quoting Lee Jones (2014-03-20 06:42:19)
> > > > > > This patch adds support for S2MPS14 PMIC clocks (BT and AP) to the
> > > > > > s2mps11 clock driver.
> > > > > > 
> > > > > > Signed-off-by: Krzysztof Kozlowski <[email-masked]>
> > > > > > Reviewed-by: Yadwinder Singh Brar <[email-masked]>
> > > > > > Reviewed-by: Tomasz Figa <[email-masked]>
> > > > > 
> > > > > This does not apply cleanly to to clk tree trip, nor does it compile
> > > > > after manually merging due to changes introducing
> > > > > linux/mfd/samsung/s2mps14.h.
> > > > > 
> > > > > The changes look OK to me so maybe Lee can take it with my Ack?
> > > > > 
> > > > > Acked-by: Mike Turquette <[email-masked]>
> > > > > 
> > > > 
> > > > Hi,
> > > > 
> > > > Thanks for the Ack. The patch depends on Tushar Behera's patches:
> > > >  - [PATCH V2 0/2] Add support for clocks in S5M8767
> > > >    http://thread.gmane.org/gmane.linux.kernel.samsung-soc/27264
> > > > which are waiting for some time. Both patchsets should be pulled
> > > > together.
> > > 
> > > I took those patches in yesterday. So we have three options:
> > 
> > Great! Thanks.
> > 
> > > 
> > > 1) MFD tree can pull a stable commit from the clk tree. I'm happy to
> > > make a topic branch for this. Then these patches can be applied.
> > > 
> > > 2) clk tree can pull a stable commit from the mfd tree if the mfd folks
> > > can provide one.
> > > 
> > > 3) Wait until after the merge window to apply this one to the clk tree.
> > > I don't currently plan to send 2 PRs during the merge window, so this
> > > could either go in 3.16 or maybe into 3.15 if a split PR is sent.
> > 
> > Dear Lee,
> > 
> > How do you wish to proceed? The patchset depends on changes in sec-core
> > MFD driver.
> 
> The MFD tree is betting pretty complicated with sec-core stuff at the
> minuite. Can I vote for option 3?

Sure. clock tree feels the same way. ;-)

Regards,
Mike

> 
> -- 
> Lee Jones
> Linaro STMicroelectronics Landing Team Lead
> Linaro.org ? Open source software for ARM SoCs
> Follow Linaro: Facebook | Twitter | Blog